cvp.vo

## Class Anomalia

- java.lang.Object
- - cvp.vo.Anomalia

-     public class Anomalia
      extends java.lang.Object

  Contiene i dati di dettaglio dell'anomalia

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `codCriticita` CodCriticita contiene il codice della criticità dell'anomalia riscontrata dal processo di validazione dell'erogazione o della prescrizione, elemento obbligatorio.
    `private java.lang.String` | `codice` Codice dell'anomalia, elemento obbligatorio.
    `private java.lang.String` | `descrizione` Descrizione dell'anomalia, elemento obbligatorio.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Anomalia()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodCriticita()`
    `java.lang.String` | `getCodice()`
    `java.lang.String` | `getDescrizione()`
    `void` | `setCodCriticita(java.lang.String codCriticita)`
    `void` | `setCodice(java.lang.String codice)`
    `void` | `setDescrizione(java.lang.String descrizione)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codice

          private java.lang.String codice

      Codice dell'anomalia, elemento obbligatorio.

    - #### descrizione

          private java.lang.String descrizione

      Descrizione dell'anomalia, elemento obbligatorio.

    - #### codCriticita

          private java.lang.String codCriticita

      CodCriticita contiene il codice della criticità dell'anomalia riscontrata dal processo di validazione dell'erogazione o della prescrizione, elemento obbligatorio. Può assumere i seguenti valori: C = bloccante; W = non bloccante.

  - ### Constructor Detail

    - #### Anomalia

          public Anomalia()

  - ### Method Detail

    - #### getCodice

          public java.lang.String getCodice()

    - #### setCodice

          public void setCodice(java.lang.String codice)

    - #### getDescrizione

          public java.lang.String getDescrizione()

    - #### setDescrizione

          public void setDescrizione(java.lang.String descrizione)

    - #### getCodCriticita

          public java.lang.String getCodCriticita()

    - #### setCodCriticita

          public void setCodCriticita(java.lang.String codCriticita)